package com.muyu.req;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 引擎维护对象 engine_maintenance
 *
 * @author CHX
 * @date 2024-05-02
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class EngineMaintenanceSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 编号 */

    private Long id;

    /** 名称 */

    private String name;

    /** 类型 */

    private Integer type;

    /** 作用域 */

    private Integer scope;

    /** 引擎编码 */

    private String engineCode;

    /** 是否激活 */

    private String isActivate;

    /** 状态 */

    private String status;

    /** 描述 */
    private String description;
}
