package com.muyu.resp;
import com.muyu.domain.constants.EngineVersion;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 引擎版本列表
 *
 * @author CHX
 * on 2024/5/7 星期二
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class EngineVersionListResp {
    /** 编号 */
    private Long id;

    /** 名称 */
    private String name;

    /** 类型 */
    private Integer type;

    /** 作用域 */
    private Integer scope;

    /** 引擎编码 */
    private String engineCode;

    /** 是否激活 */
    private String isActivate;

    /** 状态 */
    private String status;

    /** 描述 */
    private String description;

    /** 规则引擎版本列表 */
    private List<EngineVersion> engineVersionList;
}
