package com.muyu.model.process;

import com.muyu.model.RecordModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 记录处理模型
 *
 * @author CHX
 * on 2024/5/7 星期二
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class RecordProcessModel {
    private List<String> keys;
    private RecordModel recordModel;
}
